// SampleApp_VC++_MFCDoc.cpp : Implementierung der Klasse CSampleApp_VC_MFCDoc
//

#include "stdafx.h"
#include "SampleApp_VC++_MFC.h"

#include "SampleApp_VC++_MFCDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSampleApp_VC_MFCDoc

IMPLEMENT_DYNCREATE(CSampleApp_VC_MFCDoc, CDocument)

BEGIN_MESSAGE_MAP(CSampleApp_VC_MFCDoc, CDocument)
END_MESSAGE_MAP()


// CSampleApp_VC_MFCDoc Erstellung/Zerstörung

CSampleApp_VC_MFCDoc::CSampleApp_VC_MFCDoc()
{
	// TODO: Hier Code für One-Time-Konstruktion einfügen

}

CSampleApp_VC_MFCDoc::~CSampleApp_VC_MFCDoc()
{
}

BOOL CSampleApp_VC_MFCDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: Hier Code zur Reinitialisierung einfügen
	// (SDI-Dokumente verwenden dieses Dokument)

	return TRUE;
}




// CSampleApp_VC_MFCDoc Serialisierung

void CSampleApp_VC_MFCDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: Hier Code zum Speichern einfügen
	}
	else
	{
		// TODO: Hier Code zum Laden einfügen
	}
}


// CSampleApp_VC_MFCDoc Diagnose

#ifdef _DEBUG
void CSampleApp_VC_MFCDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CSampleApp_VC_MFCDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CSampleApp_VC_MFCDoc-Befehle
